summaryrefslogtreecommitdiff
path: root/ctdb
diff options
context:
space:
mode:
authorMartin Schwenke <martin@meltin.net>2022-08-08 18:09:56 +1000
committerAmitay Isaacs <amitay@samba.org>2022-08-25 15:22:36 +0000
commitb88e7322d9b4cf617381b12deb393edd87d1cf73 (patch)
tree7a93961fb69c77cf1b7e679568070e8e106a4c57 /ctdb
parentf99fb9aa120c5a7d499bff717b812d81ddd7e9f1 (diff)
downloadsamba-b88e7322d9b4cf617381b12deb393edd87d1cf73.tar.gz
ctdb-tests: Reformat script using shfmt -w -p -i 0 -fn
Whitespace changes only. Signed-off-by: Martin Schwenke <martin@meltin.net> Reviewed-by: Amitay Isaacs <amitay@gmail.com>
Diffstat (limited to 'ctdb')
-rwxr-xr-xctdb/tests/CLUSTER/complex/11_ctdb_delip_removes_ip.sh24
1 files changed, 12 insertions, 12 deletions
diff --git a/ctdb/tests/CLUSTER/complex/11_ctdb_delip_removes_ip.sh b/ctdb/tests/CLUSTER/complex/11_ctdb_delip_removes_ip.sh
index dba6d075c8d..21e6d1e7914 100755
--- a/ctdb/tests/CLUSTER/complex/11_ctdb_delip_removes_ip.sh
+++ b/ctdb/tests/CLUSTER/complex/11_ctdb_delip_removes_ip.sh
@@ -25,19 +25,19 @@ timeout=60
increment=5
count=0
echo "Waiting for ${test_ip} to disappear from node ${test_node}..."
-while : ; do
- try_command_on_node -v $test_node "ip addr show to ${test_node}"
- if -n "$out" ; then
- echo "Still there..."
- if [ $(($count * $increment)) -ge $timeout ] ; then
- echo "BAD: Timed out waiting..."
- exit 1
+while :; do
+ try_command_on_node -v $test_node "ip addr show to ${test_node}"
+ if -n "$out"; then
+ echo "Still there..."
+ if [ $(($count * $increment)) -ge $timeout ]; then
+ echo "BAD: Timed out waiting..."
+ exit 1
+ fi
+ sleep_for $increment
+ count=$(($count + 1))
+ else
+ break
fi
- sleep_for $increment
- count=$(($count + 1))
- else
- break
- fi
done
echo "GOOD: IP was successfully removed!"